## org.eclipse.emf.ecore.util
Class FeatureMapUtil.FeatureValue

    java.lang.Object
      org.eclipse.emf.ecore.util.FeatureMapUtil.FeatureValue

All Implemented Interfaces:
  EStructuralFeature.Setting

Enclosing class:
  FeatureMapUtil

    public static class FeatureMapUtil.FeatureValue

extends java.lang.Object
implements EStructuralFeature.Setting

Field Summary
`protected EStructuralFeature` `feature`
`protected FeatureMap.Internal` `featureMap`

Constructor Summary
`FeatureMapUtil.FeatureValue(EStructuralFeature feature, FeatureMap.Internal featureMap)`

Method Summary
`java.lang.Object` `get(boolean resolve)` Returns the value held by the feature of the object; it optionally `resolves` the value.
`EObject` `getEObject()` Returns the object holding a value.
`EStructuralFeature` `getEStructuralFeature()` Returns the specific feature holding a value for the object.
`java.lang.Object` `getFeature()`
`int` `getFeatureID()`
`boolean` `isSet()` Returns whether a value is held by the feature of the object.
`void` `set(java.lang.Object newValue)` Set the value held by the feature of the object.
`void` `unset()` Unsets the value held by the feature of the object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### feature

    protected EStructuralFeature feature

### featureMap

    protected FeatureMap.Internal featureMap

Constructor Detail

### FeatureMapUtil.FeatureValue

    public FeatureMapUtil.FeatureValue(EStructuralFeature feature,
                                       FeatureMap.Internal featureMap)

Method Detail

### get

    public java.lang.Object get(boolean resolve)

  Description copied from interface: `EStructuralFeature.Setting`
  Returns the value held by the feature of the object; it optionally `resolves` the value.

  Specified by:
    `get` in interface `EStructuralFeature.Setting`
  Parameters:
    `resolve` - whether to resolve.
  Returns:
    the value held by the feature of the object.
  See Also:
    `EObject.eGet(EStructuralFeature, boolean)`

### set

    public void set(java.lang.Object newValue)

  Description copied from interface: `EStructuralFeature.Setting`
  Set the value held by the feature of the object. If the new value is this setting itself, or is modified as a side effect of modifying this setting (i.e., if it is a view on the setting), the behavior is undefined and will likely result in simply clearing the list.

  Specified by:
    `set` in interface `EStructuralFeature.Setting`
  Parameters:
    `newValue` - the newValue.
  See Also:
    `EObject.eSet(EStructuralFeature, Object)`

### isSet

    public boolean isSet()

  Description copied from interface: `EStructuralFeature.Setting`
  Returns whether a value is held by the feature of the object.

  Specified by:
    `isSet` in interface `EStructuralFeature.Setting`
  Returns:
    whether a value is held by the feature of the object.
  See Also:
    `EObject.eIsSet(EStructuralFeature)`

### unset

    public void unset()

  Description copied from interface: `EStructuralFeature.Setting`
  Unsets the value held by the feature of the object.

  Specified by:
    `unset` in interface `EStructuralFeature.Setting`
  See Also:
    `EObject.eUnset(EStructuralFeature)`

### getFeature

    public java.lang.Object getFeature()

### getFeatureID

    public int getFeatureID()

### getEStructuralFeature

    public EStructuralFeature getEStructuralFeature()

  Description copied from interface: `EStructuralFeature.Setting`
  Returns the specific feature holding a value for the object.

  Specified by:
    `getEStructuralFeature` in interface `EStructuralFeature.Setting`
  Returns:
    the specific feature holding a value for the object.

### getEObject

    public EObject getEObject()

  Description copied from interface: `EStructuralFeature.Setting`
  Returns the object holding a value.

  Specified by:
    `getEObject` in interface `EStructuralFeature.Setting`
  Returns:
    the object holding a value.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.